<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="GENERIC_REPORT_MAIN_ITEM" 
Description="Вложенный отчет" 
PrimaryKey="GenericReportMainItemID" 
DNAttributes="{LinkName};{GenericReport/Name}" 
DisplayName="[{0}] {1}">
  <Fields>
    <Attribute Name="GenericReportMainItemID" Index="3160001" Type="guid" Description="Идентификатор" />
    <Attribute Name="Condition" Index="3160004" Type="text" Description="Фильтр" />
    <Attribute Name="LinkName" Index="3160005" Type="string" Description="Ссылка" CharacterMaximumLength="32" Required="1" />
    <Attribute Name="Sorting" Index="3160006" Type="text" Description="Сортировка" />
    <Attribute Name="Descending" Index="3160007" Type="int" Description="Направление сортировки" />
    <Parent Name="GenericReportMain" Index="3160002" Type="VCLib.GENERIC_REPORT_MAIN" Description="Составной отчет" Required="1" />
    <Parent Name="GenericReport" Index="3160003" Type="VCLib.GENERIC_REPORT" Description="Обобщенная сущность для отчетов" Required="1" />
    <Attribute Name="IsEnabled" Type="bool" Description="Включен" DefaultValue="1" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_GENERIC_REPORT_MAIN_ITEM">
      <Map Name="GenericReportMainItemID" Column="GenericReportMainItemID" />
      <Map Name="Condition" Column="Condition" />
      <Map Name="LinkName" Column="LinkName" />
      <Map Name="Sorting" Column="Sorting" />
      <Map Name="Descending" Column="Descending" />
      <Map Name="GenericReportMain" Column="GenericReportMain" />
      <Map Name="GenericReport" Column="GenericReport" />
      <Map Name="IsEnabled" Column="IsEnabled" />
    </Table>
  </DbMapping>
</Entity>